package com.steering.pss.sale.order.craftDesign.model;

/**
 * 工艺类
 * 
 * @author Administrator
 * 
 */
public class CraftOrdDesignMscPlPrcEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline = "";
	/**
	 * 全程途径码
	 */
	private String wholeBacklog = "";
	/**
	 * 全程途径描述
	 */
	private String wholeBacklogDesc = "";
	/**
	 * 全程工序顺序号(COM_MSC_PROCESS)
	 */
	private String backlogSeq = "";
	/**
	 * 工序代码(COM_MSC_PROCESS)
	 */
	private String processCode = "";
	/**
	 * 工序名称(COM_MSC_PROCESS)
	 */
	private String processDesc = "";
	/**
	 * 同工序循环次数(COM_MSC_PROCESS)
	 */
	private String processSeq = "";
	/**
	 * 二级工序代码(COM_MSC_PROCESS)
	 */
	private String processCodeC = "";
	/**
	 * 二级工序名称(COM_MSC_PROCESS)
	 */
	private String processDescC = "";
	/**
	 * 生产时间(小时/100吨)(自炼)
	 */
	private String minuteProduct = "";
	/**
	 * 生产时间(小时/100吨)(外购)
	 */
	private String minuteProductOut = "";
	/**
	 * 等待时间(小时/100吨)(自炼)
	 */
	private String minuteWaite = "";
	/**
	 * 等待时间(小时/100吨)(外购)
	 */
	private String minuteWaiteOut = "";
	/**
	 * 批量等待时间(小时/100吨)(自炼)
	 */
	private String batchWaite = "";
	/**
	 * 批量等待时间(小时/100吨)(外购)
	 */
	private String batchWaiteOut = "";
	/**
	 * 成分标准索引号(CICN000001)(COM_MSC_PROCESS)(集合,","分割)
	 */
	private String cic = "";
	/**
	 * 材质标准索引号(COM_MSC_PROCESS)
	 */
	private String pic = "";
	/**
	 * 公差标准索引号(COM_MSC_PROCESS)
	 */
	private String sic = "";
	/**
	 * 探伤索引号(COM_MSC_PROCESS)
	 */
	private String dic = "";
	/**
	 * 水压索引码(COM_MSC_PROCESS)
	 */
	private String wic = "";
	/**
	 * 加工索引号(COM_MSC_PROCESS)(集合,","分割)
	 */
	private String gic = "";
	private String memo = "";
	private String processFile = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 全程途径码
	 * 
	 * @return value
	 */
	public String getWholeBacklog() {
		return wholeBacklog;
	}

	/**
	 * 全程途径码
	 * 
	 * @param wholeBacklog
	 *            value
	 */
	public void setWholeBacklog(String wholeBacklog) {
		this.wholeBacklog = wholeBacklog;
	}

	/**
	 * 全程途径描述
	 * 
	 * @return value
	 */
	public String getWholeBacklogDesc() {
		return wholeBacklogDesc;
	}

	/**
	 * 全程途径描述
	 * 
	 * @param wholeBacklogDesc
	 *            value
	 */
	public void setWholeBacklogDesc(String wholeBacklogDesc) {
		this.wholeBacklogDesc = wholeBacklogDesc;
	}

	/**
	 * 全程工序顺序号(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getBacklogSeq() {
		return backlogSeq;
	}

	/**
	 * 全程工序顺序号(COM_MSC_PROCESS)
	 * 
	 * @param backlogSeq
	 *            value
	 */
	public void setBacklogSeq(String backlogSeq) {
		this.backlogSeq = backlogSeq;
	}

	/**
	 * 工序代码(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序代码(COM_MSC_PROCESS)
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 工序名称(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称(COM_MSC_PROCESS)
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 同工序循环次数(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getProcessSeq() {
		return processSeq;
	}

	/**
	 * 同工序循环次数(COM_MSC_PROCESS)
	 * 
	 * @param processSeq
	 *            value
	 */
	public void setProcessSeq(String processSeq) {
		this.processSeq = processSeq;
	}

	/**
	 * 二级工序代码(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getProcessCodeC() {
		return processCodeC;
	}

	/**
	 * 二级工序代码(COM_MSC_PROCESS)
	 * 
	 * @param processCodeC
	 *            value
	 */
	public void setProcessCodeC(String processCodeC) {
		this.processCodeC = processCodeC;
	}

	/**
	 * 二级工序名称(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getProcessDescC() {
		return processDescC;
	}

	/**
	 * 二级工序名称(COM_MSC_PROCESS)
	 * 
	 * @param processDescC
	 *            value
	 */
	public void setProcessDescC(String processDescC) {
		this.processDescC = processDescC;
	}

	/**
	 * 生产时间(小时/100吨)(自炼)
	 * 
	 * @return value
	 */
	public String getMinuteProduct() {
		return minuteProduct;
	}

	/**
	 * 生产时间(小时/100吨)(自炼)
	 * 
	 * @param minuteProduct
	 *            value
	 */
	public void setMinuteProduct(String minuteProduct) {
		this.minuteProduct = minuteProduct;
	}

	/**
	 * 生产时间(小时/100吨)(外购)
	 * 
	 * @return value
	 */
	public String getMinuteProductOut() {
		return minuteProductOut;
	}

	/**
	 * 生产时间(小时/100吨)(外购)
	 * 
	 * @param minuteProductOut
	 *            value
	 */
	public void setMinuteProductOut(String minuteProductOut) {
		this.minuteProductOut = minuteProductOut;
	}

	/**
	 * 等待时间(小时/100吨)(自炼)
	 * 
	 * @return value
	 */
	public String getMinuteWaite() {
		return minuteWaite;
	}

	/**
	 * 等待时间(小时/100吨)(自炼)
	 * 
	 * @param minuteWaite
	 *            value
	 */
	public void setMinuteWaite(String minuteWaite) {
		this.minuteWaite = minuteWaite;
	}

	/**
	 * 等待时间(小时/100吨)(外购)
	 * 
	 * @return value
	 */
	public String getMinuteWaiteOut() {
		return minuteWaiteOut;
	}

	/**
	 * 等待时间(小时/100吨)(外购)
	 * 
	 * @param minuteWaiteOut
	 *            value
	 */
	public void setMinuteWaiteOut(String minuteWaiteOut) {
		this.minuteWaiteOut = minuteWaiteOut;
	}

	/**
	 * 批量等待时间(小时/100吨)(自炼)
	 * 
	 * @return value
	 */
	public String getBatchWaite() {
		return batchWaite;
	}

	/**
	 * 批量等待时间(小时/100吨)(自炼)
	 * 
	 * @param batchWaite
	 *            value
	 */
	public void setBatchWaite(String batchWaite) {
		this.batchWaite = batchWaite;
	}

	/**
	 * 批量等待时间(小时/100吨)(外购)
	 * 
	 * @return value
	 */
	public String getBatchWaiteOut() {
		return batchWaiteOut;
	}

	/**
	 * 批量等待时间(小时/100吨)(外购)
	 * 
	 * @param batchWaiteOut
	 *            value
	 */
	public void setBatchWaiteOut(String batchWaiteOut) {
		this.batchWaiteOut = batchWaiteOut;
	}

	/**
	 * 成分标准索引号(CICN000001)(COM_MSC_PROCESS)(集合,","分割)
	 * 
	 * @return value
	 */
	public String getCic() {
		return cic;
	}

	/**
	 * 成分标准索引号(CICN000001)(COM_MSC_PROCESS)(集合,","分割)
	 * 
	 * @param cic
	 *            value
	 */
	public void setCic(String cic) {
		this.cic = cic;
	}

	/**
	 * 材质标准索引号(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getPic() {
		return pic;
	}

	/**
	 * 材质标准索引号(COM_MSC_PROCESS)
	 * 
	 * @param pic
	 *            value
	 */
	public void setPic(String pic) {
		this.pic = pic;
	}

	/**
	 * 公差标准索引号(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getSic() {
		return sic;
	}

	/**
	 * 公差标准索引号(COM_MSC_PROCESS)
	 * 
	 * @param sic
	 *            value
	 */
	public void setSic(String sic) {
		this.sic = sic;
	}

	/**
	 * 探伤索引号(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getDic() {
		return dic;
	}

	/**
	 * 探伤索引号(COM_MSC_PROCESS)
	 * 
	 * @param dic
	 *            value
	 */
	public void setDic(String dic) {
		this.dic = dic;
	}

	/**
	 * 水压索引码(COM_MSC_PROCESS)
	 * 
	 * @return value
	 */
	public String getWic() {
		return wic;
	}

	/**
	 * 水压索引码(COM_MSC_PROCESS)
	 * 
	 * @param wic
	 *            value
	 */
	public void setWic(String wic) {
		this.wic = wic;
	}

	/**
	 * 加工索引号(COM_MSC_PROCESS)(集合,","分割)
	 * 
	 * @return value
	 */
	public String getGic() {
		return gic;
	}

	/**
	 * 加工索引号(COM_MSC_PROCESS)(集合,","分割)
	 * 
	 * @param gic
	 *            value
	 */
	public void setGic(String gic) {
		this.gic = gic;
	}
	
	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	public String getProcessFile() {
		return processFile;
	}

	public void setProcessFile(String processFile) {
		this.processFile = processFile;
	}
}
